|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QPalette

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QPalette class reference

### Public Functions

- QPalette ( const QColor & foreground, const QColor & background, const QColor & light, const QColor & dark, const QColor & mid, const QColor & text, const QColor & base ) `(obsolete)`

## Member Function Documentation

### QPalette::QPalette ( const QColor & foreground, const QColor & background, const QColor & light, const QColor & dark, const QColor & mid, const QColor & text, const QColor & base )

Constructs a palette with the specified foreground, background, light, dark, mid, text, and base colors. The button color will be set to the background color.